Upstream information

CVE-2016-9439 at MITRE

Description

An issue was discovered in the Tatsuya Kinoshita w3m fork before 0.5.3-31. Infinite recursion vulnerability in w3m allows remote attackers to cause a denial of service via a crafted HTML page.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database SUSE
Base Score 4.3 6.8
Vector AV:N/AC:M/Au:N/C:N/I:N/A:P AV:N/AC:M/Au:N/C:P/I:P/A:P
Access Vector Network Network
Access Complexity Medium Medium
Authentication None None
Confidentiality Impact None Partial
Integrity Impact None Partial
Availability Impact Partial Partial
CVSS v3 Scores
  National Vulnerability Database
Base Score 6.5
Vector AV:N/AC:L/PR:N/UI:R/S:U/C:N/I:N/A:H
Access Vector Network
Access Complexity Low
Privileges Required None
User Interaction Required
Scope Unchanged
Confidentiality Impact None
Integrity Impact None
Availability Impact High
SUSE Bugzilla entries: 1011288 [RESOLVED / FIXED], 1011293 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Desktop 12 SP1
  • w3m >= 0.5.3.git20161120-160.1
Patchnames:
SUSE-SLE-DESKTOP-12-SP1-2016-1774
SUSE Linux Enterprise Desktop 12 SP2
  • w3m >= 0.5.3.git20161120-160.1
Patchnames:
SUSE-SLE-DESKTOP-12-SP2-2016-1774
SUSE Linux Enterprise Desktop 12 SP3
  • w3m >= 0.5.3.git20161120-160.1
Patchnames:
SUSE Linux Enterprise Desktop 12 SP3 GA w3m
SUSE Linux Enterprise Module for Basesystem 15
  • w3m >= 0.5.3+git20180125-1.17
Patchnames:
SUSE Linux Enterprise Module for Basesystem 15 GA w3m
SUSE Linux Enterprise Server 11 SP4
  • w3m >= 0.5.3.git20161120-4.1
Patchnames:
slessp4-w3m-12875
SUSE Linux Enterprise Server 12 SP1
  • w3m >= 0.5.3.git20161120-160.1
Patchnames:
SUSE-SLE-SERVER-12-SP1-2016-1774
SUSE Linux Enterprise Server 12 SP2
  • w3m >= 0.5.3.git20161120-160.1
Patchnames:
SUSE-SLE-SERVER-12-SP2-2016-1774
SUSE Linux Enterprise Server 12 SP3
  • w3m >= 0.5.3.git20161120-160.1
Patchnames:
SUSE Linux Enterprise Server 12 SP3 GA w3m
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2
  • w3m >= 0.5.3.git20161120-160.1
Patchnames:
SUSE-SLE-RPI-12-SP2-2016-1774
SUSE Linux Enterprise Server for SAP Applications 11 SP4
  • w3m >= 0.5.3.git20161120-4.1
Patchnames:
slessp4-w3m-12875
SUSE Linux Enterprise Server for SAP Applications 12 SP1
  • w3m >= 0.5.3.git20161120-160.1
Patchnames:
SUSE-SLE-SERVER-12-SP1-2016-1774
SUSE Linux Enterprise Server for SAP Applications 12 SP2
  • w3m >= 0.5.3.git20161120-160.1
Patchnames:
SUSE-SLE-SERVER-12-SP2-2016-1774
openSUSE Leap 15.0
  • w3m >= 0.5.3+git20180125-lp150.1.3
Patchnames:
openSUSE Leap 15.0 GA w3m
openSUSE Leap 42.1
  • w3m >= 0.5.3.git20161120-161.1
  • w3m-debuginfo >= 0.5.3.git20161120-161.1
  • w3m-debugsource >= 0.5.3.git20161120-161.1
  • w3m-inline-image >= 0.5.3.git20161120-161.1
  • w3m-inline-image-debuginfo >= 0.5.3.git20161120-161.1
Patchnames:
openSUSE-2016-1457
openSUSE Leap 42.2
  • w3m >= 0.5.3.git20161120-160.1
  • w3m-debuginfo >= 0.5.3.git20161120-160.1
  • w3m-debugsource >= 0.5.3.git20161120-160.1
  • w3m-inline-image >= 0.5.3.git20161120-160.1
  • w3m-inline-image-debuginfo >= 0.5.3.git20161120-160.1
Patchnames:
openSUSE-2016-1457
openSUSE Leap 42.3
  • w3m >= 0.5.3.git20161120-163.3
Patchnames:
openSUSE Leap 42.3 GA w3m
openSUSE Tumbleweed
  • w3m >= 0.5.3.git20161120-1.1
  • w3m-inline-image >= 0.5.3.git20161120-1.1
Patchnames:
openSUSE Tumbleweed GA w3m


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE Linux Enterprise Desktop 12 SP1 w3m Released
SUSE Linux Enterprise Desktop 12 SP2 w3m Released
SUSE Linux Enterprise Server 11 SP4 w3m Released
SUSE Linux Enterprise Server 12 SP1 w3m Released
SUSE Linux Enterprise Server 12 SP2 w3m Released
SUSE Linux Enterprise Server 12 SP2 for Raspberry PI w3m Released